# pqxx::internal::transactionfocus Class Reference

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::transactionfocus:

[legend]

List of all members.

## Public Member Functions
| transactionfocus (transaction_base &t)
## Protected Member Functions
void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const std::string &) throw ()
bool | registered () const throw ()
## Protected Attributes
transaction_base & | m_Trans

## Constructor & Destructor Documentation

pqxx::internal::transactionfocus::transactionfocus | ( | transaction_base & | t | ) | `[explicit]`

## Member Function Documentation

void pqxx::internal::transactionfocus::reg_pending_error | ( | const std::string & | err | ) | throw ()`[protected]`

Referenced by pqxx::tablereader::~tablereader(), and pqxx::tablewriter::~tablewriter().

void pqxx::internal::transactionfocus::register_me | ( |  | ) | `[protected]`

References m_Trans, and pqxx::transaction_base::RegisterFocus().

bool pqxx::internal::transactionfocus::registered | ( |  | ) | const throw ()`[protected]`

void pqxx::internal::transactionfocus::unregister_me | ( |  | ) | throw ()`[protected]`

References m_Trans, and pqxx::transaction_base::UnregisterFocus().

Referenced by pqxx::tablestream::base_close().

## Member Data Documentation

transaction_base& pqxx::internal::transactionfocus::m_Trans`[protected]`

Referenced by pqxx::pipeline::cancel(), pqxx::tablereader::get_raw_line(), register_me(), unregister_me(), pqxx::tablewriter::write_raw_line(), pqxx::pipeline::~pipeline(), pqxx::tablereader::~tablereader(), and pqxx::tablewriter::~tablewriter().

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx